# Generated by the gRPC Python protocol compiler plugin. DO NOT EDIT!
import grpc

from . import PressureServicer_pb2 as PressureServicer__pb2


class PressureServicerStub(object):
  """Feature: Pressure Servicer

  Control a DASGIP pressure module. Enables read and write operations for various parameters, including pressure
  sensor and controller.
  By Lukas Bromig, Institute of Biochemical Engineering, Technical University of Munich, 20.05.2019

  """

  def __init__(self, channel):
    """Constructor.

    Args:
      channel: A grpc.Channel.
    """
    self.GetPV = channel.unary_unary(
        '/sila2.org.silastandard.examples.pressureservicer.v1.PressureServicer/GetPV',
        request_serializer=PressureServicer__pb2.GetPV_Parameters.SerializeToString,
        response_deserializer=PressureServicer__pb2.GetPV_Responses.FromString,
        )
    self.SetSPM = channel.unary_unary(
        '/sila2.org.silastandard.examples.pressureservicer.v1.PressureServicer/SetSPM',
        request_serializer=PressureServicer__pb2.SetSPM_Parameters.SerializeToString,
        response_deserializer=PressureServicer__pb2.SetSPM_Responses.FromString,
        )
    self.SetSPE = channel.unary_unary(
        '/sila2.org.silastandard.examples.pressureservicer.v1.PressureServicer/SetSPE',
        request_serializer=PressureServicer__pb2.SetSPE_Parameters.SerializeToString,
        response_deserializer=PressureServicer__pb2.SetSPE_Responses.FromString,
        )
    self.GetSP = channel.unary_unary(
        '/sila2.org.silastandard.examples.pressureservicer.v1.PressureServicer/GetSP',
        request_serializer=PressureServicer__pb2.GetSP_Parameters.SerializeToString,
        response_deserializer=PressureServicer__pb2.GetSP_Responses.FromString,
        )
    self.GetSPA = channel.unary_unary(
        '/sila2.org.silastandard.examples.pressureservicer.v1.PressureServicer/GetSPA',
        request_serializer=PressureServicer__pb2.GetSPA_Parameters.SerializeToString,
        response_deserializer=PressureServicer__pb2.GetSPA_Responses.FromString,
        )
    self.GetSPM = channel.unary_unary(
        '/sila2.org.silastandard.examples.pressureservicer.v1.PressureServicer/GetSPM',
        request_serializer=PressureServicer__pb2.GetSPM_Parameters.SerializeToString,
        response_deserializer=PressureServicer__pb2.GetSPM_Responses.FromString,
        )
    self.GetSPE = channel.unary_unary(
        '/sila2.org.silastandard.examples.pressureservicer.v1.PressureServicer/GetSPE',
        request_serializer=PressureServicer__pb2.GetSPE_Parameters.SerializeToString,
        response_deserializer=PressureServicer__pb2.GetSPE_Responses.FromString,
        )
    self.GetSPR = channel.unary_unary(
        '/sila2.org.silastandard.examples.pressureservicer.v1.PressureServicer/GetSPR',
        request_serializer=PressureServicer__pb2.GetSPR_Parameters.SerializeToString,
        response_deserializer=PressureServicer__pb2.GetSPR_Responses.FromString,
        )
    self.GetAccess = channel.unary_unary(
        '/sila2.org.silastandard.examples.pressureservicer.v1.PressureServicer/GetAccess',
        request_serializer=PressureServicer__pb2.GetAccess_Parameters.SerializeToString,
        response_deserializer=PressureServicer__pb2.GetAccess_Responses.FromString,
        )
    self.SetCmd = channel.unary_unary(
        '/sila2.org.silastandard.examples.pressureservicer.v1.PressureServicer/SetCmd',
        request_serializer=PressureServicer__pb2.SetCmd_Parameters.SerializeToString,
        response_deserializer=PressureServicer__pb2.SetCmd_Responses.FromString,
        )
    self.GetCmd = channel.unary_unary(
        '/sila2.org.silastandard.examples.pressureservicer.v1.PressureServicer/GetCmd',
        request_serializer=PressureServicer__pb2.GetCmd_Parameters.SerializeToString,
        response_deserializer=PressureServicer__pb2.GetCmd_Responses.FromString,
        )
    self.SetMode = channel.unary_unary(
        '/sila2.org.silastandard.examples.pressureservicer.v1.PressureServicer/SetMode',
        request_serializer=PressureServicer__pb2.SetMode_Parameters.SerializeToString,
        response_deserializer=PressureServicer__pb2.SetMode_Responses.FromString,
        )
    self.GetMode = channel.unary_unary(
        '/sila2.org.silastandard.examples.pressureservicer.v1.PressureServicer/GetMode',
        request_serializer=PressureServicer__pb2.GetMode_Parameters.SerializeToString,
        response_deserializer=PressureServicer__pb2.GetMode_Responses.FromString,
        )
    self.SetSetpointSelect = channel.unary_unary(
        '/sila2.org.silastandard.examples.pressureservicer.v1.PressureServicer/SetSetpointSelect',
        request_serializer=PressureServicer__pb2.SetSetpointSelect_Parameters.SerializeToString,
        response_deserializer=PressureServicer__pb2.SetSetpointSelect_Responses.FromString,
        )
    self.GetSetpointSelect = channel.unary_unary(
        '/sila2.org.silastandard.examples.pressureservicer.v1.PressureServicer/GetSetpointSelect',
        request_serializer=PressureServicer__pb2.GetSetpointSelect_Parameters.SerializeToString,
        response_deserializer=PressureServicer__pb2.GetSetpointSelect_Responses.FromString,
        )
    self.GetState = channel.unary_unary(
        '/sila2.org.silastandard.examples.pressureservicer.v1.PressureServicer/GetState',
        request_serializer=PressureServicer__pb2.GetState_Parameters.SerializeToString,
        response_deserializer=PressureServicer__pb2.GetState_Responses.FromString,
        )
    self.GetType = channel.unary_unary(
        '/sila2.org.silastandard.examples.pressureservicer.v1.PressureServicer/GetType',
        request_serializer=PressureServicer__pb2.GetType_Parameters.SerializeToString,
        response_deserializer=PressureServicer__pb2.GetType_Responses.FromString,
        )
    self.GetAvailable = channel.unary_unary(
        '/sila2.org.silastandard.examples.pressureservicer.v1.PressureServicer/GetAvailable',
        request_serializer=PressureServicer__pb2.GetAvailable_Parameters.SerializeToString,
        response_deserializer=PressureServicer__pb2.GetAvailable_Responses.FromString,
        )
    self.GetName = channel.unary_unary(
        '/sila2.org.silastandard.examples.pressureservicer.v1.PressureServicer/GetName',
        request_serializer=PressureServicer__pb2.GetName_Parameters.SerializeToString,
        response_deserializer=PressureServicer__pb2.GetName_Responses.FromString,
        )
    self.GetVersion = channel.unary_unary(
        '/sila2.org.silastandard.examples.pressureservicer.v1.PressureServicer/GetVersion',
        request_serializer=PressureServicer__pb2.GetVersion_Parameters.SerializeToString,
        response_deserializer=PressureServicer__pb2.GetVersion_Responses.FromString,
        )
    self.SetSensorOffset = channel.unary_unary(
        '/sila2.org.silastandard.examples.pressureservicer.v1.PressureServicer/SetSensorOffset',
        request_serializer=PressureServicer__pb2.SetSensorOffset_Parameters.SerializeToString,
        response_deserializer=PressureServicer__pb2.SetSensorOffset_Responses.FromString,
        )
    self.GetSensorOffset = channel.unary_unary(
        '/sila2.org.silastandard.examples.pressureservicer.v1.PressureServicer/GetSensorOffset',
        request_serializer=PressureServicer__pb2.GetSensorOffset_Parameters.SerializeToString,
        response_deserializer=PressureServicer__pb2.GetSensorOffset_Responses.FromString,
        )
    self.GetSensorPVRaw = channel.unary_unary(
        '/sila2.org.silastandard.examples.pressureservicer.v1.PressureServicer/GetSensorPVRaw',
        request_serializer=PressureServicer__pb2.GetSensorPVRaw_Parameters.SerializeToString,
        response_deserializer=PressureServicer__pb2.GetSensorPVRaw_Responses.FromString,
        )
    self.SetSensorCompensation = channel.unary_unary(
        '/sila2.org.silastandard.examples.pressureservicer.v1.PressureServicer/SetSensorCompensation',
        request_serializer=PressureServicer__pb2.SetSensorCompensation_Parameters.SerializeToString,
        response_deserializer=PressureServicer__pb2.SetSensorCompensation_Responses.FromString,
        )
    self.GetSensorCompensation = channel.unary_unary(
        '/sila2.org.silastandard.examples.pressureservicer.v1.PressureServicer/GetSensorCompensation',
        request_serializer=PressureServicer__pb2.GetSensorCompensation_Parameters.SerializeToString,
        response_deserializer=PressureServicer__pb2.GetSensorCompensation_Responses.FromString,
        )
    self.SetControllerDB = channel.unary_unary(
        '/sila2.org.silastandard.examples.pressureservicer.v1.PressureServicer/SetControllerDB',
        request_serializer=PressureServicer__pb2.SetControllerDB_Parameters.SerializeToString,
        response_deserializer=PressureServicer__pb2.SetControllerDB_Responses.FromString,
        )
    self.GetControllerDB = channel.unary_unary(
        '/sila2.org.silastandard.examples.pressureservicer.v1.PressureServicer/GetControllerDB',
        request_serializer=PressureServicer__pb2.GetControllerDB_Parameters.SerializeToString,
        response_deserializer=PressureServicer__pb2.GetControllerDB_Responses.FromString,
        )
    self.GetControllerOut = channel.unary_unary(
        '/sila2.org.silastandard.examples.pressureservicer.v1.PressureServicer/GetControllerOut',
        request_serializer=PressureServicer__pb2.GetControllerOut_Parameters.SerializeToString,
        response_deserializer=PressureServicer__pb2.GetControllerOut_Responses.FromString,
        )
    self.SetControllerP = channel.unary_unary(
        '/sila2.org.silastandard.examples.pressureservicer.v1.PressureServicer/SetControllerP',
        request_serializer=PressureServicer__pb2.SetControllerP_Parameters.SerializeToString,
        response_deserializer=PressureServicer__pb2.SetControllerP_Responses.FromString,
        )
    self.GetControllerP = channel.unary_unary(
        '/sila2.org.silastandard.examples.pressureservicer.v1.PressureServicer/GetControllerP',
        request_serializer=PressureServicer__pb2.GetControllerP_Parameters.SerializeToString,
        response_deserializer=PressureServicer__pb2.GetControllerP_Responses.FromString,
        )
    self.SetControllerTd = channel.unary_unary(
        '/sila2.org.silastandard.examples.pressureservicer.v1.PressureServicer/SetControllerTd',
        request_serializer=PressureServicer__pb2.SetControllerTd_Parameters.SerializeToString,
        response_deserializer=PressureServicer__pb2.SetControllerTd_Responses.FromString,
        )
    self.GetControllerTd = channel.unary_unary(
        '/sila2.org.silastandard.examples.pressureservicer.v1.PressureServicer/GetControllerTd',
        request_serializer=PressureServicer__pb2.GetControllerTd_Parameters.SerializeToString,
        response_deserializer=PressureServicer__pb2.GetControllerTd_Responses.FromString,
        )
    self.SetControllerTi = channel.unary_unary(
        '/sila2.org.silastandard.examples.pressureservicer.v1.PressureServicer/SetControllerTi',
        request_serializer=PressureServicer__pb2.SetControllerTi_Parameters.SerializeToString,
        response_deserializer=PressureServicer__pb2.SetControllerTi_Responses.FromString,
        )
    self.GetControllerTi = channel.unary_unary(
        '/sila2.org.silastandard.examples.pressureservicer.v1.PressureServicer/GetControllerTi',
        request_serializer=PressureServicer__pb2.GetControllerTi_Parameters.SerializeToString,
        response_deserializer=PressureServicer__pb2.GetControllerTi_Responses.FromString,
        )
    self.SetControllerMin = channel.unary_unary(
        '/sila2.org.silastandard.examples.pressureservicer.v1.PressureServicer/SetControllerMin',
        request_serializer=PressureServicer__pb2.SetControllerMin_Parameters.SerializeToString,
        response_deserializer=PressureServicer__pb2.SetControllerMin_Responses.FromString,
        )
    self.GetControllerMin = channel.unary_unary(
        '/sila2.org.silastandard.examples.pressureservicer.v1.PressureServicer/GetControllerMin',
        request_serializer=PressureServicer__pb2.GetControllerMin_Parameters.SerializeToString,
        response_deserializer=PressureServicer__pb2.GetControllerMin_Responses.FromString,
        )
    self.SetControllerMax = channel.unary_unary(
        '/sila2.org.silastandard.examples.pressureservicer.v1.PressureServicer/SetControllerMax',
        request_serializer=PressureServicer__pb2.SetControllerMax_Parameters.SerializeToString,
        response_deserializer=PressureServicer__pb2.SetControllerMax_Responses.FromString,
        )
    self.GetControllerMax = channel.unary_unary(
        '/sila2.org.silastandard.examples.pressureservicer.v1.PressureServicer/GetControllerMax',
        request_serializer=PressureServicer__pb2.GetControllerMax_Parameters.SerializeToString,
        response_deserializer=PressureServicer__pb2.GetControllerMax_Responses.FromString,
        )


class PressureServicerServicer(object):
  """Feature: Pressure Servicer

  Control a DASGIP pressure module. Enables read and write operations for various parameters, including pressure
  sensor and controller.
  By Lukas Bromig, Institute of Biochemical Engineering, Technical University of Munich, 20.05.2019

  """

  def GetPV(self, request, context):
    """Get PV
    Get present value
    """
    context.set_code(grpc.StatusCode.UNIMPLEMENTED)
    context.set_details('Method not implemented!')
    raise NotImplementedError('Method not implemented!')

  def SetSPM(self, request, context):
    """Set Manual Setpoint

    Set the manual pressure setpoint.

    """
    context.set_code(grpc.StatusCode.UNIMPLEMENTED)
    context.set_details('Method not implemented!')
    raise NotImplementedError('Method not implemented!')

  def SetSPE(self, request, context):
    """Set External Setpoint

    Set the external pressure setpoint.

    """
    context.set_code(grpc.StatusCode.UNIMPLEMENTED)
    context.set_details('Method not implemented!')
    raise NotImplementedError('Method not implemented!')

  def GetSP(self, request, context):
    """Get SP
    Get setpoint value
    """
    context.set_code(grpc.StatusCode.UNIMPLEMENTED)
    context.set_details('Method not implemented!')
    raise NotImplementedError('Method not implemented!')

  def GetSPA(self, request, context):
    """Get SPA
    Get automatic setpoint value
    """
    context.set_code(grpc.StatusCode.UNIMPLEMENTED)
    context.set_details('Method not implemented!')
    raise NotImplementedError('Method not implemented!')

  def GetSPM(self, request, context):
    """Get SPM
    Get manual setpoint value
    """
    context.set_code(grpc.StatusCode.UNIMPLEMENTED)
    context.set_details('Method not implemented!')
    raise NotImplementedError('Method not implemented!')

  def GetSPE(self, request, context):
    """Get SPE
    Get external setpoint value
    """
    context.set_code(grpc.StatusCode.UNIMPLEMENTED)
    context.set_details('Method not implemented!')
    raise NotImplementedError('Method not implemented!')

  def GetSPR(self, request, context):
    """Get SPR
    Get remote setpoint value
    """
    context.set_code(grpc.StatusCode.UNIMPLEMENTED)
    context.set_details('Method not implemented!')
    raise NotImplementedError('Method not implemented!')

  def GetAccess(self, request, context):
    """Get Access Mode
    Get access mode value. Controller access (Local, Remote).
    """
    context.set_code(grpc.StatusCode.UNIMPLEMENTED)
    context.set_details('Method not implemented!')
    raise NotImplementedError('Method not implemented!')

  def SetCmd(self, request, context):
    """Set Controller Command

    Set the controller command. Controller command (Nothing, Stop, Start).

    """
    context.set_code(grpc.StatusCode.UNIMPLEMENTED)
    context.set_details('Method not implemented!')
    raise NotImplementedError('Method not implemented!')

  def GetCmd(self, request, context):
    """Get Controller Command
    Get the controller command. Controller command (Nothing, Stop, Start).
    """
    context.set_code(grpc.StatusCode.UNIMPLEMENTED)
    context.set_details('Method not implemented!')
    raise NotImplementedError('Method not implemented!')

  def SetMode(self, request, context):
    """Set Controller Mode

    Set the controller mode. Controller mode (Manual, Automatic).

    """
    context.set_code(grpc.StatusCode.UNIMPLEMENTED)
    context.set_details('Method not implemented!')
    raise NotImplementedError('Method not implemented!')

  def GetMode(self, request, context):
    """Get Controller Mode
    Get the controller mode. Controller mode (Manual, Automatic).
    """
    context.set_code(grpc.StatusCode.UNIMPLEMENTED)
    context.set_details('Method not implemented!')
    raise NotImplementedError('Method not implemented!')

  def SetSetpointSelect(self, request, context):
    """Set SetpointSelect

    Set the selected setpoint that should be used. Setpoint selection (Local, Manual, Internal, Script, External).

    """
    context.set_code(grpc.StatusCode.UNIMPLEMENTED)
    context.set_details('Method not implemented!')
    raise NotImplementedError('Method not implemented!')

  def GetSetpointSelect(self, request, context):
    """Get SetpointSelect
    Get the setpoint selection. Controller state (Off, On, Error).
    """
    context.set_code(grpc.StatusCode.UNIMPLEMENTED)
    context.set_details('Method not implemented!')
    raise NotImplementedError('Method not implemented!')

  def GetState(self, request, context):
    """Get State
    Get controller state. Controller state (Off, On, Error).
    """
    context.set_code(grpc.StatusCode.UNIMPLEMENTED)
    context.set_details('Method not implemented!')
    raise NotImplementedError('Method not implemented!')

  def GetType(self, request, context):
    """Get Function Type
    Get function type.
    """
    context.set_code(grpc.StatusCode.UNIMPLEMENTED)
    context.set_details('Method not implemented!')
    raise NotImplementedError('Method not implemented!')

  def GetAvailable(self, request, context):
    """Get Function Availability
    Get function availability.
    """
    context.set_code(grpc.StatusCode.UNIMPLEMENTED)
    context.set_details('Method not implemented!')
    raise NotImplementedError('Method not implemented!')

  def GetName(self, request, context):
    """Get Function Name
    Get function name.
    """
    context.set_code(grpc.StatusCode.UNIMPLEMENTED)
    context.set_details('Method not implemented!')
    raise NotImplementedError('Method not implemented!')

  def GetVersion(self, request, context):
    """Get Function Version
    Get function model version number.
    """
    context.set_code(grpc.StatusCode.UNIMPLEMENTED)
    context.set_details('Method not implemented!')
    raise NotImplementedError('Method not implemented!')

  def SetSensorOffset(self, request, context):
    """Set Sensor Offset

    Set the sensor offset value that should be used. Sensor offset calibration parameter.

    """
    context.set_code(grpc.StatusCode.UNIMPLEMENTED)
    context.set_details('Method not implemented!')
    raise NotImplementedError('Method not implemented!')

  def GetSensorOffset(self, request, context):
    """Get Sensor Offset
    Get the sensor offset value that is used. Sensor offset calibration parameter.
    """
    context.set_code(grpc.StatusCode.UNIMPLEMENTED)
    context.set_details('Method not implemented!')
    raise NotImplementedError('Method not implemented!')

  def GetSensorPVRaw(self, request, context):
    """Get Sensor PVRaw
    Get the sensor present raw value. Actual process raw value.
    """
    context.set_code(grpc.StatusCode.UNIMPLEMENTED)
    context.set_details('Method not implemented!')
    raise NotImplementedError('Method not implemented!')

  def SetSensorCompensation(self, request, context):
    """Set Sensor Compensation

    Set the sensor compensation value. Sensor temperature compensation parameter.

    """
    context.set_code(grpc.StatusCode.UNIMPLEMENTED)
    context.set_details('Method not implemented!')
    raise NotImplementedError('Method not implemented!')

  def GetSensorCompensation(self, request, context):
    """Get Sensor Compensation
    Get the sensor compensation value. Sensor temperature compensation parameter.
    """
    context.set_code(grpc.StatusCode.UNIMPLEMENTED)
    context.set_details('Method not implemented!')
    raise NotImplementedError('Method not implemented!')

  def SetControllerDB(self, request, context):
    """Set Controller DB

    Set the controller deadband value. PID controller: deadband (set to zero to disable).

    """
    context.set_code(grpc.StatusCode.UNIMPLEMENTED)
    context.set_details('Method not implemented!')
    raise NotImplementedError('Method not implemented!')

  def GetControllerDB(self, request, context):
    """Get Controller DB
    Get the controller deadband value. PID controller: deadband (set to zero to disable).
    """
    context.set_code(grpc.StatusCode.UNIMPLEMENTED)
    context.set_details('Method not implemented!')
    raise NotImplementedError('Method not implemented!')

  def GetControllerOut(self, request, context):
    """Get Controller Out
    Get the controller output value. PID controller: actual output value.
    """
    context.set_code(grpc.StatusCode.UNIMPLEMENTED)
    context.set_details('Method not implemented!')
    raise NotImplementedError('Method not implemented!')

  def SetControllerP(self, request, context):
    """Set Controller P

    Set the controller proportional parameter value. PID controller: proportional parameter.

    """
    context.set_code(grpc.StatusCode.UNIMPLEMENTED)
    context.set_details('Method not implemented!')
    raise NotImplementedError('Method not implemented!')

  def GetControllerP(self, request, context):
    """Get Controller P
    Get the controller proportional parameter value. PID controller: proportional parameter.
    """
    context.set_code(grpc.StatusCode.UNIMPLEMENTED)
    context.set_details('Method not implemented!')
    raise NotImplementedError('Method not implemented!')

  def SetControllerTd(self, request, context):
    """Set Controller Td

    Set the controller differentiator time constant. PID controller: differentiator time constant (set to zero to
    disable).

    """
    context.set_code(grpc.StatusCode.UNIMPLEMENTED)
    context.set_details('Method not implemented!')
    raise NotImplementedError('Method not implemented!')

  def GetControllerTd(self, request, context):
    """Get Controller Td
    Get the controller differentiator time constant. PID controller: differentiator time constant (set to zero to disable).
    """
    context.set_code(grpc.StatusCode.UNIMPLEMENTED)
    context.set_details('Method not implemented!')
    raise NotImplementedError('Method not implemented!')

  def SetControllerTi(self, request, context):
    """Set Controller Ti

    Set the controller integrator time constant. PID controller: integrator time constant (set to zero to disable).

    """
    context.set_code(grpc.StatusCode.UNIMPLEMENTED)
    context.set_details('Method not implemented!')
    raise NotImplementedError('Method not implemented!')

  def GetControllerTi(self, request, context):
    """Get Controller Ti
    Get the controller integrator time constant. PID controller: integrator time constant (set to zero to disable).
    """
    context.set_code(grpc.StatusCode.UNIMPLEMENTED)
    context.set_details('Method not implemented!')
    raise NotImplementedError('Method not implemented!')

  def SetControllerMin(self, request, context):
    """Set Controller Min

    Set the controller minimal output value. PID controller: minimal output value.

    """
    context.set_code(grpc.StatusCode.UNIMPLEMENTED)
    context.set_details('Method not implemented!')
    raise NotImplementedError('Method not implemented!')

  def GetControllerMin(self, request, context):
    """Get Controller Min
    Get the controller minimal output value. PID controller: minimal output value.
    """
    context.set_code(grpc.StatusCode.UNIMPLEMENTED)
    context.set_details('Method not implemented!')
    raise NotImplementedError('Method not implemented!')

  def SetControllerMax(self, request, context):
    """Set Controller Max

    Set the controller maximal output value. PID controller: maximal output value.

    """
    context.set_code(grpc.StatusCode.UNIMPLEMENTED)
    context.set_details('Method not implemented!')
    raise NotImplementedError('Method not implemented!')

  def GetControllerMax(self, request, context):
    """Get Controller Max
    Get the controller maximal output value. PID controller: maximal output value.
    """
    context.set_code(grpc.StatusCode.UNIMPLEMENTED)
    context.set_details('Method not implemented!')
    raise NotImplementedError('Method not implemented!')


def add_PressureServicerServicer_to_server(servicer, server):
  rpc_method_handlers = {
      'GetPV': grpc.unary_unary_rpc_method_handler(
          servicer.GetPV,
          request_deserializer=PressureServicer__pb2.GetPV_Parameters.FromString,
          response_serializer=PressureServicer__pb2.GetPV_Responses.SerializeToString,
      ),
      'SetSPM': grpc.unary_unary_rpc_method_handler(
          servicer.SetSPM,
          request_deserializer=PressureServicer__pb2.SetSPM_Parameters.FromString,
          response_serializer=PressureServicer__pb2.SetSPM_Responses.SerializeToString,
      ),
      'SetSPE': grpc.unary_unary_rpc_method_handler(
          servicer.SetSPE,
          request_deserializer=PressureServicer__pb2.SetSPE_Parameters.FromString,
          response_serializer=PressureServicer__pb2.SetSPE_Responses.SerializeToString,
      ),
      'GetSP': grpc.unary_unary_rpc_method_handler(
          servicer.GetSP,
          request_deserializer=PressureServicer__pb2.GetSP_Parameters.FromString,
          response_serializer=PressureServicer__pb2.GetSP_Responses.SerializeToString,
      ),
      'GetSPA': grpc.unary_unary_rpc_method_handler(
          servicer.GetSPA,
          request_deserializer=PressureServicer__pb2.GetSPA_Parameters.FromString,
          response_serializer=PressureServicer__pb2.GetSPA_Responses.SerializeToString,
      ),
      'GetSPM': grpc.unary_unary_rpc_method_handler(
          servicer.GetSPM,
          request_deserializer=PressureServicer__pb2.GetSPM_Parameters.FromString,
          response_serializer=PressureServicer__pb2.GetSPM_Responses.SerializeToString,
      ),
      'GetSPE': grpc.unary_unary_rpc_method_handler(
          servicer.GetSPE,
          request_deserializer=PressureServicer__pb2.GetSPE_Parameters.FromString,
          response_serializer=PressureServicer__pb2.GetSPE_Responses.SerializeToString,
      ),
      'GetSPR': grpc.unary_unary_rpc_method_handler(
          servicer.GetSPR,
          request_deserializer=PressureServicer__pb2.GetSPR_Parameters.FromString,
          response_serializer=PressureServicer__pb2.GetSPR_Responses.SerializeToString,
      ),
      'GetAccess': grpc.unary_unary_rpc_method_handler(
          servicer.GetAccess,
          request_deserializer=PressureServicer__pb2.GetAccess_Parameters.FromString,
          response_serializer=PressureServicer__pb2.GetAccess_Responses.SerializeToString,
      ),
      'SetCmd': grpc.unary_unary_rpc_method_handler(
          servicer.SetCmd,
          request_deserializer=PressureServicer__pb2.SetCmd_Parameters.FromString,
          response_serializer=PressureServicer__pb2.SetCmd_Responses.SerializeToString,
      ),
      'GetCmd': grpc.unary_unary_rpc_method_handler(
          servicer.GetCmd,
          request_deserializer=PressureServicer__pb2.GetCmd_Parameters.FromString,
          response_serializer=PressureServicer__pb2.GetCmd_Responses.SerializeToString,
      ),
      'SetMode': grpc.unary_unary_rpc_method_handler(
          servicer.SetMode,
          request_deserializer=PressureServicer__pb2.SetMode_Parameters.FromString,
          response_serializer=PressureServicer__pb2.SetMode_Responses.SerializeToString,
      ),
      'GetMode': grpc.unary_unary_rpc_method_handler(
          servicer.GetMode,
          request_deserializer=PressureServicer__pb2.GetMode_Parameters.FromString,
          response_serializer=PressureServicer__pb2.GetMode_Responses.SerializeToString,
      ),
      'SetSetpointSelect': grpc.unary_unary_rpc_method_handler(
          servicer.SetSetpointSelect,
          request_deserializer=PressureServicer__pb2.SetSetpointSelect_Parameters.FromString,
          response_serializer=PressureServicer__pb2.SetSetpointSelect_Responses.SerializeToString,
      ),
      'GetSetpointSelect': grpc.unary_unary_rpc_method_handler(
          servicer.GetSetpointSelect,
          request_deserializer=PressureServicer__pb2.GetSetpointSelect_Parameters.FromString,
          response_serializer=PressureServicer__pb2.GetSetpointSelect_Responses.SerializeToString,
      ),
      'GetState': grpc.unary_unary_rpc_method_handler(
          servicer.GetState,
          request_deserializer=PressureServicer__pb2.GetState_Parameters.FromString,
          response_serializer=PressureServicer__pb2.GetState_Responses.SerializeToString,
      ),
      'GetType': grpc.unary_unary_rpc_method_handler(
          servicer.GetType,
          request_deserializer=PressureServicer__pb2.GetType_Parameters.FromString,
          response_serializer=PressureServicer__pb2.GetType_Responses.SerializeToString,
      ),
      'GetAvailable': grpc.unary_unary_rpc_method_handler(
          servicer.GetAvailable,
          request_deserializer=PressureServicer__pb2.GetAvailable_Parameters.FromString,
          response_serializer=PressureServicer__pb2.GetAvailable_Responses.SerializeToString,
      ),
      'GetName': grpc.unary_unary_rpc_method_handler(
          servicer.GetName,
          request_deserializer=PressureServicer__pb2.GetName_Parameters.FromString,
          response_serializer=PressureServicer__pb2.GetName_Responses.SerializeToString,
      ),
      'GetVersion': grpc.unary_unary_rpc_method_handler(
          servicer.GetVersion,
          request_deserializer=PressureServicer__pb2.GetVersion_Parameters.FromString,
          response_serializer=PressureServicer__pb2.GetVersion_Responses.SerializeToString,
      ),
      'SetSensorOffset': grpc.unary_unary_rpc_method_handler(
          servicer.SetSensorOffset,
          request_deserializer=PressureServicer__pb2.SetSensorOffset_Parameters.FromString,
          response_serializer=PressureServicer__pb2.SetSensorOffset_Responses.SerializeToString,
      ),
      'GetSensorOffset': grpc.unary_unary_rpc_method_handler(
          servicer.GetSensorOffset,
          request_deserializer=PressureServicer__pb2.GetSensorOffset_Parameters.FromString,
          response_serializer=PressureServicer__pb2.GetSensorOffset_Responses.SerializeToString,
      ),
      'GetSensorPVRaw': grpc.unary_unary_rpc_method_handler(
          servicer.GetSensorPVRaw,
          request_deserializer=PressureServicer__pb2.GetSensorPVRaw_Parameters.FromString,
          response_serializer=PressureServicer__pb2.GetSensorPVRaw_Responses.SerializeToString,
      ),
      'SetSensorCompensation': grpc.unary_unary_rpc_method_handler(
          servicer.SetSensorCompensation,
          request_deserializer=PressureServicer__pb2.SetSensorCompensation_Parameters.FromString,
          response_serializer=PressureServicer__pb2.SetSensorCompensation_Responses.SerializeToString,
      ),
      'GetSensorCompensation': grpc.unary_unary_rpc_method_handler(
          servicer.GetSensorCompensation,
          request_deserializer=PressureServicer__pb2.GetSensorCompensation_Parameters.FromString,
          response_serializer=PressureServicer__pb2.GetSensorCompensation_Responses.SerializeToString,
      ),
      'SetControllerDB': grpc.unary_unary_rpc_method_handler(
          servicer.SetControllerDB,
          request_deserializer=PressureServicer__pb2.SetControllerDB_Parameters.FromString,
          response_serializer=PressureServicer__pb2.SetControllerDB_Responses.SerializeToString,
      ),
      'GetControllerDB': grpc.unary_unary_rpc_method_handler(
          servicer.GetControllerDB,
          request_deserializer=PressureServicer__pb2.GetControllerDB_Parameters.FromString,
          response_serializer=PressureServicer__pb2.GetControllerDB_Responses.SerializeToString,
      ),
      'GetControllerOut': grpc.unary_unary_rpc_method_handler(
          servicer.GetControllerOut,
          request_deserializer=PressureServicer__pb2.GetControllerOut_Parameters.FromString,
          response_serializer=PressureServicer__pb2.GetControllerOut_Responses.SerializeToString,
      ),
      'SetControllerP': grpc.unary_unary_rpc_method_handler(
          servicer.SetControllerP,
          request_deserializer=PressureServicer__pb2.SetControllerP_Parameters.FromString,
          response_serializer=PressureServicer__pb2.SetControllerP_Responses.SerializeToString,
      ),
      'GetControllerP': grpc.unary_unary_rpc_method_handler(
          servicer.GetControllerP,
          request_deserializer=PressureServicer__pb2.GetControllerP_Parameters.FromString,
          response_serializer=PressureServicer__pb2.GetControllerP_Responses.SerializeToString,
      ),
      'SetControllerTd': grpc.unary_unary_rpc_method_handler(
          servicer.SetControllerTd,
          request_deserializer=PressureServicer__pb2.SetControllerTd_Parameters.FromString,
          response_serializer=PressureServicer__pb2.SetControllerTd_Responses.SerializeToString,
      ),
      'GetControllerTd': grpc.unary_unary_rpc_method_handler(
          servicer.GetControllerTd,
          request_deserializer=PressureServicer__pb2.GetControllerTd_Parameters.FromString,
          response_serializer=PressureServicer__pb2.GetControllerTd_Responses.SerializeToString,
      ),
      'SetControllerTi': grpc.unary_unary_rpc_method_handler(
          servicer.SetControllerTi,
          request_deserializer=PressureServicer__pb2.SetControllerTi_Parameters.FromString,
          response_serializer=PressureServicer__pb2.SetControllerTi_Responses.SerializeToString,
      ),
      'GetControllerTi': grpc.unary_unary_rpc_method_handler(
          servicer.GetControllerTi,
          request_deserializer=PressureServicer__pb2.GetControllerTi_Parameters.FromString,
          response_serializer=PressureServicer__pb2.GetControllerTi_Responses.SerializeToString,
      ),
      'SetControllerMin': grpc.unary_unary_rpc_method_handler(
          servicer.SetControllerMin,
          request_deserializer=PressureServicer__pb2.SetControllerMin_Parameters.FromString,
          response_serializer=PressureServicer__pb2.SetControllerMin_Responses.SerializeToString,
      ),
      'GetControllerMin': grpc.unary_unary_rpc_method_handler(
          servicer.GetControllerMin,
          request_deserializer=PressureServicer__pb2.GetControllerMin_Parameters.FromString,
          response_serializer=PressureServicer__pb2.GetControllerMin_Responses.SerializeToString,
      ),
      'SetControllerMax': grpc.unary_unary_rpc_method_handler(
          servicer.SetControllerMax,
          request_deserializer=PressureServicer__pb2.SetControllerMax_Parameters.FromString,
          response_serializer=PressureServicer__pb2.SetControllerMax_Responses.SerializeToString,
      ),
      'GetControllerMax': grpc.unary_unary_rpc_method_handler(
          servicer.GetControllerMax,
          request_deserializer=PressureServicer__pb2.GetControllerMax_Parameters.FromString,
          response_serializer=PressureServicer__pb2.GetControllerMax_Responses.SerializeToString,
      ),
  }
  generic_handler = grpc.method_handlers_generic_handler(
      'sila2.org.silastandard.examples.pressureservicer.v1.PressureServicer', rpc_method_handlers)
  server.add_generic_rpc_handlers((generic_handler,))
